# `g`: The TOP G of Git Wrappers

Welcome to `g`, the ultimate Git wrapper for the hustlers. Inspired by the TOP G mindset, `g` ensures your version control game is faster, cleaner, and dripping with efficiency. Whether you're stacking branches like cash or committing to greatness, `g` is your ticket into the Real Git.

## Why choose `g`?
- **Efficiency is key** - Git commands can feel like a 9-to-5 grind. `g` is here to automate the hustle.
- **Stay focused** - Just like in Hustlers University, distractions are the enemy. `g` keeps you in the zone.
- **Work like a TOP G** - This isn’t just version control; it’s a lifestyle. Be the alpha in your repo.

## Commands
### Repository Management
- `g bootstrap <BASE> <REPO>`
  
  Initialize a new repository from a base repository.
  
  > You don’t start from scratch; you leverage the foundation like a true hustler.

### Branching
- `g branch`
  
  Display all branches.
  
  > Know your assets, track your investments. This is your repo empire.

- `g new <BRANCH>`
  
  Create a new branch.
  
  > In the world of branching, growth is king.

- `g remove <BRANCH>`
  
  Remove a branch.
  
  > Trim the weak branches so the strong ones can thrive.

### Syncing
- `g fetch`
  
  Run `git fetch --prune`.
  
  > Prune like a gardener who only grows money trees. Keep the repo tight and right.

- `g pull`
  
  Run `git pull --prune`.
  
  > Pull harder than a Bugatti in first gear. Stay synced, stay winning.

- `g push`
  
  Push changes to a remote repository.
  
  > Send your code to the cloud like it’s your private jet.

### Logs and Status
- `g log`
  
  Display the commit log.
  
  > The hustle doesn’t lie. Your commit history is your legacy.

- `g status`
  
  Show the current repository status.
  
  > Stay on top of your repo. TOP Gs don’t leave things to chance.

### Commit Management
- `g todo`
  
  Show open TODOs within the repository.
  
  > Keep the numbers rising, except this one.

- `g save`
  
  Create a WIP (Work In Progress) commit.
  
  > Sometimes you gotta save it now to cash in later.

- `g commit [-a, --all] [-d, --done] [-i, --interactive] [-m, --message <MSG>]`
  
  Commit changes.

  - `--all` adds all changed files to Git.
  
  - `--done` refuses to commit with open TODOs.
  
  - `--interactive` creates gitmoji commits with an interactive menu.
  
  - `--message` sets the commit message directly.

  > Seal the deal with a strong message. Every commit should flex."

### Adding Files
- `g add <FILE>`
  
  Stage files for the next commit.
  
  > Add value, one file at a time.
